# FirstMoveCondition | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class FirstMoveCondition

#### Hierarchy (View Summary)

- MoveCondition
  - FirstMoveCondition

- Defined in src/data/moves/move.ts:8019

##### Index

### Constructors

constructor

### Properties

func

### Methods

apply
getUserBenefitScore

## Constructors

### constructor

- new FirstMoveCondition(): FirstMoveCondition

  #### Returns FirstMoveCondition

  Overrides MoveCondition.constructor

  - Defined in src/data/moves/move.ts:8020

## Properties

### `Protected` func

func: MoveConditionFunc

Inherited from MoveCondition.func

- Defined in src/data/moves/move.ts:8004

## Methods

### apply

- apply(user: default , target: default , move: default ): boolean

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns boolean

  Inherited from MoveCondition.apply

  - Defined in src/data/moves/move.ts:8010

### getUserBenefitScore

- getUserBenefitScore(user: default , target: default , move: default ): number

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  Overrides MoveCondition.getUserBenefitScore

  - Defined in src/data/moves/move.ts:8024